Retrieve a list of journeys.
Required Permission Scope
To use this endpoint to search for journeys, you must have the Automation | Journeys | Read scope.
URL Parameters
This table lists the URL parameters that you can specify to filter or enhance the search results.
| Name | Type | Description |
|---|---|---|
$orderBy |
String | The field and sort method to use to sort the results. You can sort on these fields: <ul><li>ModifiedDate</li><li>Name</li><li>Performance</li></ul> You can sort these fields in ascending (ASC) or descending (DESC) order. The default value is modifiedDate DESC. |
$page |
Number | The page number of results to retrieve. The default value is 1. |
$pageSize |
Number | The number of items to return on a page of results. The default and maximum value is 50. |
definitionType |
String | The type of definition to retrieve. The only accepted value is transactional, which retrieves all transactional send definitions. |
extras |
String | Additional information to include in the response. Possible values are: <ul><li>activities: Provides configuration details for each activity in the journey.</li><li>outcome: Provides detailed information about the outcomes of the goals in the journey.</li><li>stats: Provides detailed statistics related to the population of the journey.</li><li>all: Provides all the extra details that are available.</li></ul>When you specify the all value for this parameter, the response includes a large amount of data. The volume of this data has a negative impact on the performance of this query. |
key |
String | The external key of a journey to retrieve. |
id |
String | The ID of a journey to retrieve. When you specify an ID, the API returns all versions of that journey. |
mostRecentVersionOnly |
Boolean | Use this parameter to specify whether to return the most recent version of each journey that matches the filter criteria. The default value is true. |
nameOrDescription |
String | A search string to apply to the request. The API searches the name and description of each journey for this string, and returns all matching journeys. |
specificApiVersionNumber |
Number | The version number of the workflowApiVersion value to retrieve. The default value is 1. |
status |
String | A journey status value to use to filter the results. Possible values are: <ul><li>Deleted</li><li>Draft</li><li>Paused</li><li>Published</li><li>ScheduledToPublish</li><li>Stopped</li><li>Unpublished</li></ul> The ScheduledToSend, Sent, and Stopped statuses exist only in single-send journeys.<br/>If you don’t specify a status value, the API returns all journeys regardless of their statuses. |
tag |
String | A tag to use to filter the results. When you specify this parameter, the API returns only journeys with the specified tag. |
versionNumber |
Number | The version number of the journey to retrieve. The default value is the currently published version or the latest version number that meets the other search criteria. |
Example Request
This sample request retrieves all journeys. The request uses the extras parameter to retrieve the activities for each journey.
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions?$page=2&$pageSize=2&extras=activities
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response
A successful request returns a 200 OK response that contains data about the journeys that match the search criteria.
{
"count": 1,
"page": 1,
"pageSize": 50,
"links": {},
"items": [
{
"id": "40308698-7581-4b2a-855b-0f8231c6478e",
"key": "2c25c791-4e6e-4e7e-844e-ed098fc3a8ba",
"name": "5 Day Follow-Up",
"lastPublishedDate": "0001-01-01T00:00:00",
"description": "",
"version": 1,
"workflowApiVersion": 1,
"createdDate": "2024-08-17T10:21:38.98",
"modifiedDate": "2024-08-17T10:22:22.01",
"activities": [
{
"id": "cc1996c1-473d-4bcd-9ea7-27ad8adcd11f",
"key": "WAIT-2",
"name": "",
"description": "",
"type": "WAIT",
"arguments": {},
"configurationArguments": {
"waitDuration": 1,
"waitUnit": "DAYS"
},
"metaData": {
"waitType": "duration"
},
"schema": {
"arguments": {
"endDate": {
"dataType": "Date",
"isNullable": false,
"direction": "Out",
"readOnly": false,
"access": "Hidden"
},
"waitDefinitionId": {
"dataType": "Text",
"isNullable": false,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"waitForEventId": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"executionMode": {
"dataType": "Text",
"isNullable": false,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"startActivityKey": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"waitQueueId": {
"dataType": "LongNumber",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
}
}
}
},
{
"id": "394097d6-c3a3-4820-b9e3-8788b548da80",
"key": "EMAILV2-1",
"name": "",
"description": "",
"type": "EMAILV2",
"arguments": {},
"configurationArguments": {},
"metaData": {},
"schema": {
"arguments": {
"emailSubjectDataBound": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": true,
"access": "Hidden"
},
"contactId": {
"dataType": "Number",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"contactKey": {
"dataType": "Text",
"isNullable": false,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"emailAddress": {
"dataType": "Text",
"isNullable": false,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"sourceCustomObjectId": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"sourceCustomObjectKey": {
"dataType": "LongNumber",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"fieldType": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"eventData": {
"dataType": "Text",
"isNullable": true,
"direction": "In",
"readOnly": false,
"access": "Hidden"
},
"customObjectKey": {
"dataType": "LongNumber",
"isNullable": true,
"direction": "In",
"readOnly": true,
"access": "Hidden"
}
}
}
}
],
"triggers": [],
"goals": [],
"tags": [{ "name": "Fun Run" }, { "name": "5K" }],
"stats": {
"currentPopulation": 0,
"cumulativePopulation": 0,
"metGoal": 0,
"goalPerformance": 0
},
"entryMode": "SingleEntryAcrossAllVersions",
"defaults": {
"email": [""]
},
"executionMode": "Production",
"status": "Draft",
"definitionId": "e6c045e9-ecf6-4336-8e64-d691974e9908"
}
]
}